> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Dataset Healing Job

> Get the latest healing job for a dataset.



## OpenAPI

````yaml /api-reference/openapi.json get /api/datasets/{dataset_id}/healing
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/datasets/{dataset_id}/healing:
    get:
      tags:
        - healing
      summary: Get Dataset Healing Job
      description: Get the latest healing job for a dataset.
      operationId: get_dataset_healing_job_api_datasets__dataset_id__healing_get
      parameters:
        - name: dataset_id
          in: path
          required: true
          schema:
            type: string
            title: Dataset Id
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
        - name: blindsight_session
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Blindsight Session
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/HealingJobRead'
                  - type: 'null'
                title: >-
                  Response Get Dataset Healing Job Api Datasets  Dataset Id 
                  Healing Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    HealingJobRead:
      properties:
        id:
          type: string
          title: Id
        dataset_id:
          type: string
          title: Dataset Id
        status:
          type: string
          title: Status
        progress:
          type: integer
          title: Progress
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
        fix_mislabeled:
          type: boolean
          title: Fix Mislabeled
        remove_outliers:
          type: boolean
          title: Remove Outliers
        remove_poisoned:
          type: boolean
          title: Remove Poisoned
        remove_off_topics:
          type: boolean
          title: Remove Off Topics
        remove_injection:
          type: boolean
          title: Remove Injection
        remove_sensitive_information:
          type: boolean
          title: Remove Sensitive Information
        anonymize_sensitive_information:
          type: boolean
          title: Anonymize Sensitive Information
        off_topic_score_min:
          type: integer
          title: Off Topic Score Min
          default: 0
        off_topic_score_max:
          type: integer
          title: Off Topic Score Max
          default: 100
        output_filename:
          anyOf:
            - type: string
            - type: 'null'
          title: Output Filename
        manifest:
          anyOf:
            - type: object
            - type: 'null'
          title: Manifest
        started_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Started At
        finished_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Finished At
        duration_seconds:
          anyOf:
            - type: number
            - type: 'null'
          title: Duration Seconds
        target:
          type: string
          enum:
            - download
            - dataset
          title: Target
          default: download
        activated:
          type: boolean
          title: Activated
          default: false
        created_branch_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Created Branch Id
        created_branch_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Created Branch Name
        created_at:
          type: string
          title: Created At
      type: object
      required:
        - id
        - dataset_id
        - status
        - progress
        - fix_mislabeled
        - remove_outliers
        - remove_poisoned
        - remove_off_topics
        - remove_injection
        - remove_sensitive_information
        - anonymize_sensitive_information
        - created_at
      title: HealingJobRead
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````